Announcement Announcement Module
Collapse
No announcement yet.
Is Domain object instance security 1.5+ ? Page Title Module
Move Remove Collapse
This topic is closed
X
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Is Domain object instance security 1.5+ ?

    Hi all,

    Reading another post, I came across the "domain subproject" which apparently is only for JDK 1.5 and above. Googling and the acegi site didn't turn up much or I'm just confused, so I ask, what is this project - so I know I can't use it just yet - and does it have anything to do with Domain object instance security and/or ACL's?

    Sorry if I missed something obvious,
    iksrazal

  • #2
    Hi,

    It's some stuff Ben (and some others) are working on which is being developed within the acegi CVS tree to allow convenient sharing of the code. It's not part of acegi security.

    Luke.

    Comment


    • #3
      The domain subproject is available in Acegi Security CVS. It will not be deployed as part of Acegi Security release ZIPs (at least not in the foreseeable future). It's used to build intelligent, reusable data access layers and services layers. It uses Java 1.5 features (particularly generics) extensively to maximise code reuse.

      Comment

      Working...
      X